Audacious - Feature #843

Sort folders after files in playlist
November 09, 2018 15:37 - seb sul

Status: Closed Start date: November 09, 2018
Priority: Minor Due date:

Assignee: % Done: 100%

Category: libaudcore Estimated time: 1.00 hour

Target version: 4.0

Affects version:

Description

just discovered Audacious (amazing player), but | realized a strange behavior when new files are added to the playlist. If a folder "My
Music" is added that contains a folder "Brooklyn", Audacious displays it as the following:

. "My Music" songs starting with "A" are displayed first

. "My Music" songs starting with "B" are displayed afterwards
. "Brooklyn" songs starting with "A" are displayed afterwards
. "My Music" songs starting with "C" are displayed afterwards

A ON =

Usually players like Winamp, Foobar etc.. will display logically sorted based on the folder structure:

. "My Music" songs starting with "A" are displayed first

. "My Music" songs starting with "B" are displayed afterwards

. "My Music" songs starting with "C" are displayed afterwards (and all remaining files in "My Music")
. "Brooklyn" songs starting with "A" are displayed afterwards

A ON =

All files within a folder are displayed first, then the subfolders files & folders are displayed
I made a test zip file of you structure above and a screen how Audacious displays it after sorting by filenpath(looks tatally weird).
EDIT: Just for some extra information, | checked VLC and it sorts by lexicographical order. So we get this:

1. /Music/*.mp3

2. /Music/Brooklyn/b.mp3

3. /Music/Brooklyn/z.mp3

4. /Music/Brooklyn/X/l.mp3

5. /Music/Charlie/*.mp3

Maybe this last behavior can be obtained just by doing the current comparison between paths case-insensitive.

BTW: Clementine had the same issue ( https://github.com/clementine-player/Clementine/issues/5445 )

History

#1 - November 10, 2018 05:19 - John Lindgren
- Subject changed from Playlist sorting by Filepath erroneously to Sort folders after files in playlist

- Tracker changed from Bug to Feature

#2 - November 11, 2018 01:53 - John Lindgren
- Target version set to 4.0
- Status changed from New to Closed

- Category set to libaudcore

Implemented by this commit:
https://github.com/audacious-media-player/audacious/commit/275b050f631419¢1e694407072fc77238c165a90
https://github.com/clementine-player/Clementine/issues/5445
https://github.com/audacious-media-player/audacious/commit/275b050f631419c1e694407072fc77238c165a90

#3 - November 11, 2018 01:54 - John Lindgren
- % Done changed from 0 to 100

#4 - November 12, 2018 02:16 - seb sul

John Lindgren wrote:

Implemented by this commit:
https://github.com/audacious-media-player/audacious/commit/275b050f631419¢c1e694407072fc77238c165a90

Absolutely awesome, many thanks ;)
